Jump to content


Photo

openpli-7.0-rc-vuduo2-20181116 corrupted kodi package


  • Please log in to reply
24 replies to this topic

#1 A.A.

  • Senior Member
  • 51 posts

0
Neutral

Posted 19 November 2018 - 11:13

Hi,

 

I am testing the rc and have seen an odd issue while installing kodi on vuduo2: opkg comp'lains the package is corruptded.

I downloaded and installed it by hand w/o warnings but still kodi-launcher does not launch it...

 

I briefly checked the size and md5sum do indeed mismatch.

Please refresh the feeds (package-index).

 

Cheers

A.A.

 

 



Re: openpli-7.0-rc-vuduo2-20181116 corrupted kodi package #2 WanWizard

  • Forum Moderator
    PLi® Core member
  • 47,490 posts

+793
Excellent

Posted 19 November 2018 - 11:17

kodi isn't available for the vuduo2?

 

We have to see if we can build the plugin per box as well, currently it is in the shared feed, meaning it also pops up on boxes that doesn't support Kodi at all.


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2), SAB Alpha Triple HD (S2+T2), Zgemma H3.T2C (T/C), Zgemma H6 (fallback), VU+Zero (fallback)

Many answers to your question can be found in our new and improved wiki.

note: I do not provide support via PM !

 


Re: openpli-7.0-rc-vuduo2-20181116 corrupted kodi package #3 A.A.

  • Senior Member
  • 51 posts

0
Neutral

Posted 19 November 2018 - 11:26

Yes, it is in the installable plugins list but if you try to install it only kodi-launcher is created.

 

To debug that I run opkg from console and so I saw the message about corruption.

The file does exist and can be downloaded, is just a few bytes bigger.

 

I opened it (ar -x) and inspected: it is valid.

 

In fact I did install it flawlessy once downloaded on hdd (opkg install).

 

Kodi has long been broken for vuduo2, back then python deps iirc.

Now things are promising :)

 

Cheers

A.A.

 

P.S. tried kodi 17.6 on OpenBlackHole and it runs.



Re: openpli-7.0-rc-vuduo2-20181116 corrupted kodi package #4 WanWizard

  • Forum Moderator
    PLi® Core member
  • 47,490 posts

+793
Excellent

Posted 19 November 2018 - 11:31

There is no Kodi built for the VuDuo2, it is not in the BSP, and there is no package on the server:

find . -name "kodi_17*"
./osmega/kodi_17.6+gitr60527+7e52c1d-r0.3_osmega.ipk
./i55plus/kodi_17.6+gitr60527+7e52c1d-r0.3_i55plus.ipk
./vuuno4kse/kodi_17.6+gitr60527+7e52c1d-r0.2_vuuno4kse.ipk
./h9/kodi_17.6+gitr60527+7e52c1d-r0.3_h9.ipk
./hd51/kodi_17.6+gitr60527+7e52c1d-r0.2_hd51.ipk
./vuuno4k/kodi_17.6+gitr60527+7e52c1d-r0.2_vuuno4k.ipk
./vs1500/kodi_17.6+gitr60527+7e52c1d-r0.2_vs1500.ipk
./vuultimo4k/kodi_17.6+gitr60527+7e52c1d-r0.2_vuultimo4k.ipk
./vusolo4k/kodi_17.6+gitr60527+7e52c1d-r0.2_vusolo4k.ipk
./e4hd/kodi_17.6+gitr60527+7e52c1d-r0.2_e4hd.ipk
./vuduo4k/kodi_17.6+gitr60527+7e52c1d-r0.0_vuduo4k.ipk
./vuzero4k/kodi_17.6+gitr60527+7e52c1d-r0.2_vuzero4k.ipk
./hd2400/kodi_17.6+gitr60527+7e52c1d-r0.2_hd2400.ipk
./h7/kodi_17.6+gitr60527+7e52c1d-r0.2_h7.ipk

these are the only receivers kodi is built for.


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2), SAB Alpha Triple HD (S2+T2), Zgemma H3.T2C (T/C), Zgemma H6 (fallback), VU+Zero (fallback)

Many answers to your question can be found in our new and improved wiki.

note: I do not provide support via PM !

 


Re: openpli-7.0-rc-vuduo2-20181116 corrupted kodi package #5 A.A.

  • Senior Member
  • 51 posts

0
Neutral

Posted 19 November 2018 - 11:42

Ah, ok.

 

then the shared feeds are bad beside broken, I see :)

 

Afair MaruSys did provide kodi's mipsel port for vuplus devices but I don't know if they are even thinking about upcoming kodi 18.

As of today you can run kodi on vuduo2 , v. 16 and up to 17.6.

 

Thanks for the answers then,

cheers

 

A.A.



Re: openpli-7.0-rc-vuduo2-20181116 corrupted kodi package #6 littlesat

  • PLi® Core member
  • 48,578 posts

+511
Excellent

Posted 19 November 2018 - 11:44

Are you sure it is true Kodi or Kodilight?

Edited by littlesat, 19 November 2018 - 11:44.

WaveFrontier 28.2E | 23.5E | 19.2E | 16E | 13E | 10/9E | 7E | 5E | 1W | 4/5W | 15W


Re: openpli-7.0-rc-vuduo2-20181116 corrupted kodi package #7 A.A.

  • Senior Member
  • 51 posts

0
Neutral

Posted 19 November 2018 - 11:45

P.P.S.

 

FYI the underlying issue is that the hbbtv plugin does not work with some italian services like Rai Replay / Raiplay and there isn't any for timvision.

The other way is to install kodi 18 addons...

 

Cheers

A.A.



Re: openpli-7.0-rc-vuduo2-20181116 corrupted kodi package #8 WanWizard

  • Forum Moderator
    PLi® Core member
  • 47,490 posts

+793
Excellent

Posted 19 November 2018 - 11:51

Afair MaruSys did provide kodi's mipsel port for vuplus devices 

 

They didn't, otherwise it would be build.

 

then the shared feeds are bad beside broken, I see :)

 

Show me what you mean by "broken"?


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2), SAB Alpha Triple HD (S2+T2), Zgemma H3.T2C (T/C), Zgemma H6 (fallback), VU+Zero (fallback)

Many answers to your question can be found in our new and improved wiki.

note: I do not provide support via PM !

 


Re: openpli-7.0-rc-vuduo2-20181116 corrupted kodi package #9 A.A.

  • Senior Member
  • 51 posts

0
Neutral

Posted 19 November 2018 - 14:30

 

Afair MaruSys did provide kodi's mipsel port for vuplus devices 

 

They didn't, otherwise it would be build.

 

 

 

I meant the xbmc mipsel port:   https://forum.kodi.t....php?tid=213084

 

 

then the shared feeds are bad beside broken, I see :)

 

Show me what you mean by "broken"?

 

 

Bad: foreign MACHINES are COMPATIBLE

Broken: checksums error as in the message topic. I'll post logs later on if you think it is useful.

Thanks

A.A.



Re: openpli-7.0-rc-vuduo2-20181116 corrupted kodi package #10 WanWizard

  • Forum Moderator
    PLi® Core member
  • 47,490 posts

+793
Excellent

Posted 19 November 2018 - 14:53

That doesn't really help anything or bring be closer to understanding.

 

No clue what you mean by "foreign machines", but we don't determine the capabilities of a machine, the manufacturer does. And they have chosen not to include Kodi for all of their non-4K boxes. So complain with them.

 

I would like to see the output of

opkg update && opkg list | grep kodi

as something that isn't there can't be corrupt in my book.


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2), SAB Alpha Triple HD (S2+T2), Zgemma H3.T2C (T/C), Zgemma H6 (fallback), VU+Zero (fallback)

Many answers to your question can be found in our new and improved wiki.

note: I do not provide support via PM !

 


Re: openpli-7.0-rc-vuduo2-20181116 corrupted kodi package #11 WanWizard

  • Forum Moderator
    PLi® Core member
  • 47,490 posts

+793
Excellent

Posted 19 November 2018 - 15:14

I've pushed an update to RC to make sure enigma2-plugin-extensions-kodi is only build and present in boxes that actually support kodi (i.e. have the kodi 17.6 package available).


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2), SAB Alpha Triple HD (S2+T2), Zgemma H3.T2C (T/C), Zgemma H6 (fallback), VU+Zero (fallback)

Many answers to your question can be found in our new and improved wiki.

note: I do not provide support via PM !

 


Re: openpli-7.0-rc-vuduo2-20181116 corrupted kodi package #12 A.A.

  • Senior Member
  • 51 posts

0
Neutral

Posted 19 November 2018 - 15:56

It seems there is support for the vuduo2 in the recipes here:

https://github.com/O...ediacenter/kodi

 

What is exactly the issue building kodi 17 for vuduo2?

 

Thanks

A.A.



Re: openpli-7.0-rc-vuduo2-20181116 corrupted kodi package #13 WanWizard

  • Forum Moderator
    PLi® Core member
  • 47,490 posts

+793
Excellent

Posted 19 November 2018 - 16:25

I can only say it isn't being built, the rest isn't my expertise. I'll ping Athoik, who created those recipes.


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2), SAB Alpha Triple HD (S2+T2), Zgemma H3.T2C (T/C), Zgemma H6 (fallback), VU+Zero (fallback)

Many answers to your question can be found in our new and improved wiki.

note: I do not provide support via PM !

 


Re: openpli-7.0-rc-vuduo2-20181116 corrupted kodi package #14 A.A.

  • Senior Member
  • 51 posts

0
Neutral

Posted 19 November 2018 - 16:30

Thanks,

 

the comments of vuplus are scary "update kodi to 17.x. (MIPS based models not supported yet)".

 

http://code.vuplus.c...ca8a84564754a0f

 

Let's hope things have been fixed by now...

Regards

A.A.



Re: openpli-7.0-rc-vuduo2-20181116 corrupted kodi package #15 WanWizard

  • Forum Moderator
    PLi® Core member
  • 47,490 posts

+793
Excellent

Posted 19 November 2018 - 17:09

I think Athoik's additions are from a later date.


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2), SAB Alpha Triple HD (S2+T2), Zgemma H3.T2C (T/C), Zgemma H6 (fallback), VU+Zero (fallback)

Many answers to your question can be found in our new and improved wiki.

note: I do not provide support via PM !

 


Re: openpli-7.0-rc-vuduo2-20181116 corrupted kodi package #16 athoik

  • PLi® Core member
  • 7,867 posts

+291
Excellent

Posted 19 November 2018 - 17:32

We need to add support in kernel defconfig and enable with MACHINE_FEATURES dvbproxy.

A test image with dvbproxy (and defconfig with new memory allocations for kodi) didn't work on a friend's solo2.
Wavefield T90: 0.8W - 1.9E - 4.8E - 13E - 16E - 19.2E - 23.5E - 26E - 33E - 39E - 42E - 45E on EMP Centauri DiseqC 16/1
Unamed: 13E Quattro - 9E Quattro on IKUSI MS-0916

Re: openpli-7.0-rc-vuduo2-20181116 corrupted kodi package #17 WanWizard

  • Forum Moderator
    PLi® Core member
  • 47,490 posts

+793
Excellent

Posted 19 November 2018 - 17:34

If it didn't work, there isn't much more we can do without VU+ fixing their BSP I think?


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2), SAB Alpha Triple HD (S2+T2), Zgemma H3.T2C (T/C), Zgemma H6 (fallback), VU+Zero (fallback)

Many answers to your question can be found in our new and improved wiki.

note: I do not provide support via PM !

 


Re: openpli-7.0-rc-vuduo2-20181116 corrupted kodi package #18 athoik

  • PLi® Core member
  • 7,867 posts

+291
Excellent

Posted 19 November 2018 - 17:44

That's right! Although we add most missing parts, never finished it.
Wavefield T90: 0.8W - 1.9E - 4.8E - 13E - 16E - 19.2E - 23.5E - 26E - 33E - 39E - 42E - 45E on EMP Centauri DiseqC 16/1
Unamed: 13E Quattro - 9E Quattro on IKUSI MS-0916

Re: openpli-7.0-rc-vuduo2-20181116 corrupted kodi package #19 A.A.

  • Senior Member
  • 51 posts

0
Neutral

Posted 19 November 2018 - 21:30

That's right! Although we add most missing parts, never finished it.

 

 

If it didn't work, there isn't much more we can do without VU+ fixing their BSP I think?

 

Ok, what does 'didn't work' mean?

Missing deps?

Insurmountable issues with proprietary gles driver?

 

About kernel, isn't it possible to pass the mem args with the commandline?

Didn't know more reserved regions are needed. Plenty of ram anyway.

 

I'd happy to test on my vuduo2 if needed.

 

Let me know if you have any OE related issues, there I can help.

 

Cheers

A.A.



Re: openpli-7.0-rc-vuduo2-20181116 corrupted kodi package #20 WanWizard

  • Forum Moderator
    PLi® Core member
  • 47,490 posts

+793
Excellent

Posted 19 November 2018 - 21:37

Kodi isn't my thing, but if others can chip in?


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2), SAB Alpha Triple HD (S2+T2), Zgemma H3.T2C (T/C), Zgemma H6 (fallback), VU+Zero (fallback)

Many answers to your question can be found in our new and improved wiki.

note: I do not provide support via PM !

 





1 user(s) are reading this topic

0 members, 1 guests, 0 anonymous users